Package org.eclipse.mat.query

# Enum Column.Alignment

java.lang.Object
java.lang.Enum<Column.Alignment>
org.eclipse.mat.query.Column.Alignment

All Implemented Interfaces:
  `Serializable`, `Comparable<Column.Alignment>`, `java.lang.constant.Constable`

Enclosing class:
  `Column`

public static enum Column.Alignment extends Enum<Column.Alignment>
Alignment of the column, i.e. left, center, or right-aligned.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CENTER`
`LEFT`
`RIGHT`

## Method Summary

Modifier and Type
Method
Description
`int`
`getSwtCode()`
The SWT code of the alignment for convenience purposes.
`static Column.Alignment`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Column.Alignment[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LEFT

public static final Column.Alignment LEFT

### CENTER

public static final Column.Alignment CENTER

### RIGHT

public static final Column.Alignment RIGHT

## Method Details

### values

public static Column.Alignment[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Column.Alignment valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getSwtCode

public int getSwtCode()
The SWT code of the alignment for convenience purposes.

Returns:
  the alignment code, CENTER, LEFT, RIGHT